curl -X GET "https://api.thalbank.com/withdrawals?take=20&status=PAID&startDate=2026-03-01&endDate=2026-03-10" \
-H "x-api-key: sua_api_key"
{
"status": true,
"data": [
{
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"amount": 50000,
"method": "PIX",
"status": "PAID",
"paidAt": "2026-03-10T12:01:00.000Z",
"createdAt": "2026-03-10T12:00:00.000Z"
}
],
"count": 25
}
Withdrawals
Listar Saques
Lista os saques do seller com paginacao e filtros
GET
/
withdrawals
curl -X GET "https://api.thalbank.com/withdrawals?take=20&status=PAID&startDate=2026-03-01&endDate=2026-03-10" \
-H "x-api-key: sua_api_key"
{
"status": true,
"data": [
{
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"amount": 50000,
"method": "PIX",
"status": "PAID",
"paidAt": "2026-03-10T12:01:00.000Z",
"createdAt": "2026-03-10T12:00:00.000Z"
}
],
"count": 25
}
Descricao
Retorna uma lista paginada dos seus saques. Suporta filtros por status, metodo, periodo, valor e metadata.Request
integer
default:"10"
Numero de registros por pagina.
integer
default:"0"
Offset de paginacao.
string
Filtrar por status. Valores:
PENDING, APPROVED, REJECTED, PROCESSING, PAID, FAILEDstring
Filtrar por metodo. Valores:
PIX, TED, DOCstring
Buscar por ID exato do saque.
string
Data inicial (ISO 8601). Exemplo:
2026-03-01string
Data final (ISO 8601). Exemplo:
2026-03-10integer
Valor minimo em centavos.
integer
Valor maximo em centavos.
string
Chave de metadata para filtrar.
string
Valor de metadata para filtrar.
boolean
default:"false"
Se
true, retorna CSV.curl -X GET "https://api.thalbank.com/withdrawals?take=20&status=PAID&startDate=2026-03-01&endDate=2026-03-10" \
-H "x-api-key: sua_api_key"
{
"status": true,
"data": [
{
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"amount": 50000,
"method": "PIX",
"status": "PAID",
"paidAt": "2026-03-10T12:01:00.000Z",
"createdAt": "2026-03-10T12:00:00.000Z"
}
],
"count": 25
}
Was this page helpful?